from wakeonlan import wol

##---------------------------------------------------------------------------------------##
class WOL(object):
##---------------------------------------------------------------------------------------##
    ##-----------------------------------------------------------------------------------##
    def __init__(self, devices):
    ##-----------------------------------------------------------------------------------##
        count = 0
        self.devices= {}
        for device in devices:
            self.devices[device] = devices[device]['mac']
    ##-----------------------------------------------------------------------------------##
    def config(self):
    ##-----------------------------------------------------------------------------------##
        config = {
            "device" : {
                "name" : "",
                "mac" : ""
            },
            "wake" : {
                "device" : "name",
                "state" : "button"
            }
        }
        return config

    ##-----------------------------------------------------------------------------------##
    def command(self, data):
    ##-----------------------------------------------------------------------------------##
        for device in data:
            if device in self.devices:
                self.wakeDevice(self.devices[device])
                print(device)
                print(self.devices[device])

    ##-----------------------------------------------------------------------------------##
    def wakeDevice(self, device):
    ##-----------------------------------------------------------------------------------##
        print("Waking up Device: " + device + " mac: " + self.devices[device])
        wol.send_magic_packet(self.devices[device])


